Statistical programming, matrix languages, and more

How and where to acquire the latest R software that is compatible with SAS 9.4 (M1 and M2)

Reply
Contributor
Posts: 30

How and where to acquire the latest R software that is compatible with SAS 9.4 (M1 and M2)

Hi,

 

We are currently using Version R.3.1.0 (Spring Dance) on our SAS server and can use R software within SAS Studio.  We also have SAS IML Studio licensed.  We would like to obtain a newer version of R that contains the Package "car".  I believe R.3.2.5 might contain this package but I'm not sure.  Where can I confirm this?

 

Where does SAS recommend that we obtain the R software from?  Someone told me that R was purchased by another company?  Will this have any impact on us acquiring the software?  We will need to install it on both a Windows and Linux server.  Will we need different versions?

 

Thank you for any guidance that you can provide.

Linda

Super User
Posts: 19,157

Re: How and where to acquire the latest R software that is compatible with SAS 9.4 (M1 and M2)

You can usually add packages to R unless there's a dependency on a specific R version. My quick googling doesn't seem to indicate that this is,the case. 

Install.packages("car")

What happens if you the code in R, do you get an error?

 

You can find the relevant version of R here:

http://blogs.sas.com/content/iml/2013/09/16/what-versions-of-r-are-supported-by-sas.html

 

R is open source, there is an enterprise version the comes with support, EnterpriseR that had some extra features that was taken over by Microsoft. SQL Server 2016 will be shipping with R installed. 

 

You can download R from r-project.org. 

 

Ask a Question
Discussion stats
  • 1 reply
  • 185 views
  • 1 like
  • 2 in conversation